1 Reply Latest reply on Nov 8, 2018 6:18 AM by jyi

    PI API version update, and compatibility with Windows Server 2016

    kelvin_tang

      Hi,

       

      I currently have PI API 1.6.8.26 installed on servers running PI Data Archive 2018 (3.4.420.1182) and Windows Server 2008 R2.   I noticed that the latest version of PI API available is PI API 2018 (2.0.2.5).  Shall I install PI API 2018 to replace the PI API 1.6.8.26?

      Also, I noticed from the PI website (PI API - System Requirements ) that PI API 2018 is supported on Windows Server 2008 and 2012, but there is no mentioning that it is supported on Windows Server 2016.   What shall I do with the PI API version if I would like to upgrade the OS of my servers to Windows Server 2016?

       

      Thanks.

       

      Kelvin